var api = require('../lib/api').Api;
var fs = require('fs');


fs.readFile('account.json', function(error, content) {
	if(error) {
		console.error(error);
	} else {
		var account = JSON.parse(content);
		next(account);
	};
});
              
var apiKey = "";
function next(account) {
	apiKey = api.getApiKey(account);
	api.getBalance(apiKey, {success: next2, failure: error, error: error});
}

function next2(balance) {
	console.log("Balance: " + balance.balance);
	api.getOrders(apiKey, {success: next3, failure: error, error: error});

}
 
function next3(params) {
	console.log("Orders:");
	for(var order in params.orders) {
		var o = params.orders[order];		
		console.log(order + " " + o.order + " " + o.asset);
	}	
}


function error(params) {
	console.error(params);
}